﻿.testimonials-section {
    background: #fafafa;
    padding: 4rem 1rem;
}

.container {
    max-width: 1400px;
    margin: auto;
}

.section-header {
    text-align: center;
    margin-bottom: 3rem;
}

.carousel-wrapper {
    position: relative;
}

.carousel {
    overflow: hidden;
}

.slides {
    display: flex;
    transition: transform .5s ease-in-out;
}

.slide {
    min-width: 100%;
    padding: 0 1rem;
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.card {
    background: white;
    border-radius: 24px;
    padding: 2rem;
    box-shadow: 0 4px 12px rgba(0,0,0,.08);
    max-width: 400px;
}

.card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.user {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.user img {
    width: 56px;
    height: 56px;
    min-width: 56px;
    min-height: 56px;
    border-radius: 50%;
    object-fit: cover;
}


.user-info{
    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: start;
    text-align: left;
}

.user-info p{
    margin: 0;
}


.star {
    width: 20px;              /* w-5 */
    height: 20px;             /* h-5 */
    color: #FF9900;           /* text-[#FF9900] */
    fill: #FF9900;
}

.t-badge {
    background: rgba(0,123,255,.1);
    color: #007bff;
    padding: .3rem .8rem;
    border-radius: 999px;
    font-size: .85rem;
    max-width: max-content;
    justify-content: center;
    align-items: center;
    gap: 5px;
    font-weight: normal;
}

.nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: none;
    background: #0754DA;
    color: white;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
}

.nav span{
    font-size: 40px;
    transform: translate(3px, -10px);
}

.nav.prev { left: -24px; }
.nav.next { right: -24px; }

.nav.prev span { transform: translateY(-10px); }

.dots {
    display: flex;
    justify-content: center;
    gap: .5rem;
    margin-top: 1.5rem;
}

.dot {
    width: 12px;
    height: 12px;
    min-width: 12px;
    min-height: 12px;
    border-radius: 50%;
    border: none;
    background: #ccc;
}

.dot.active {
    background: #0754DA;
}

@media (max-width: 768px) {
    .testimonials-section {
        padding: 2rem 1rem;
    }
    
    .slide .card {
        padding: 1rem;
    }
}
